View Issue Details

IDProjectCategoryView StatusLast Update
0002617SymmetricDS ProImprovementpublic2016-08-16 15:36
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.1Fixed in Version3.8.1 
Summary0002617: Allow user into web console as soon as one engine initializes
DescriptionThe web console says "Starting SymmetricDS" until all the engines have started or after 60 seconds have passed. Add an isInitialized() method to the ISymmetricEngine that is true when the engine is ready for API calls from the web console. The engine might still be syncing triggers and not have jobs running, but allow the user into the console to view status.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 3df0a2c0

2016-05-27 12:17:19

admin

Details Diff
0002617: Allow user into web console as soon as one engine initializes
0002617
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File

SymmetricDS: 3.8 744e10b8

2016-05-27 12:17:30

admin

Details Diff
0002617: Allow user into web console as soon as one engine initializes
0002617
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File

Issue History

Date Modified Username Field Change
2016-05-27 12:11 elong New Issue
2016-05-27 12:11 elong Status new => assigned
2016-05-27 12:11 elong Assigned To => elong
2016-05-27 12:19 elong Status assigned => resolved
2016-05-27 12:19 elong Fixed in Version => 3.8.0
2016-05-27 12:19 elong Resolution open => fixed
2016-05-27 13:00 admin Changeset attached => SymmetricDS 3.8 744e10b8
2016-05-27 13:00 admin Changeset attached => SymmetricDS 3.8 3df0a2c0
2016-08-10 11:04 chenson Fixed in Version 3.8.0 => 3.8.1
2016-08-12 11:01 elong Target Version 3.8.0 => 3.8.1
2016-08-16 15:36 admin Status resolved => closed